- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
acos
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Trigonometric functions

arc cos of input More...

## Functions
AFAPI array | acos (const array &in)
| C++ Interface for arc cos (cos inverse) More...
AFAPI af_err | af_acos (af_array *out, const af_array in)
| C Interface for arc cos. More...

## Detailed Description

arc cos of input

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI array af::acos | ( | const array & | in | ) |

C++ Interface for arc cos (cos inverse)

Parameters

  [in] | in | is input array

Returns
  arc cos of input

AFAPI af_err af_acos | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for arc cos.

Parameters

  [out] | out | will contain arc cos of input
  [in] | in | is input array

Returns
  AF_SUCCESS if the execution completes properly